FreeMat

- Main Page
- Related Pages

vtkExtractDataOverTime

Section: Visualization Toolkit Graphics Classes

# Usage

This filter extracts the point data from a time sequence and specified index and creates an output of the same type as the input but with Points containing "number of time steps" points; the point and PointData corresponding to the PointIndex are extracted at each time step and added to the output. A PointData array is added called "Time" (or "TimeData" if there is already an array called "Time"), which is the time at each index.

To create an instance of class vtkExtractDataOverTime, simply invoke its constructor as follows

      obj = vtkExtractDataOverTime

# Methods

The class vtkExtractDataOverTime has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkExtractDataOverTime class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkExtractDataOverTime = obj.NewInstance ()`
- `vtkExtractDataOverTime = obj.SafeDownCast (vtkObject o)`
- `obj.SetPointIndex (int )` - Index of point to extract at each time step
- `int = obj.GetPointIndex ()` - Index of point to extract at each time step
- `int = obj.GetNumberOfTimeSteps ()` - Get the number of time steps